package com.brilliance.isc.swift.objmtconvert.model.mt9xx.tag.tag900;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt9xx.MT900Creator;


public class Tag13DCreator extends AbsTagCreate {

     private MT900Creator mt900Creator;

    public Tag13DCreator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt900Creator= (MT900Creator) absMTCreator;
    }

    public void creator()
    {
        String tag13DValue = mt900Creator.getDateTimeIndication();
        mt900Creator.set("13D", tag13DValue);
    }
}

